Subject: bug#22891: 25.0.92; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS (again)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Apr 2016 22:24:58 +0300

> Date: Thu, 14 Apr 2016 20:19:36 +0200
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], martin rudalics <[email-masked]>
> 
> However, I don't understand why you need it. If the right fringe is visible, it can hold the continuation character.

R2L lines display the continuation glyph on the left.

> In fact, I just tried this with the left fringe set to 0 with a bidirectional text stretching multiple lines, and the last
> text column didn't appear to be used at all.

Sorry, I don't understand what you tried.  Please show a screenshot.

> Furthermore, I don't think this is what people want -- some people would surely like to hide the fringes
> (especially the left) without losing one text column. (Most Emacs users don't use bidirectional text anyway.)

They should set the fringes to 1-pixel width, then.  Or make their
frames 1 character wider.  Sorry, I simply didn't find any other
reasonable way to make the display code sane and the results on the
screen plausible.  Breaking bidirectional display is a no-starter
nowadays, I certainly won't agree to that.  Motivated volunteers are
welcome to find a better solution.

(Once upon a time, Emacs couldn't display continuation glyphs on GUI
frames at all, until someone convinced me to add this feature.  The
rest is history.)

> When it comes to documentation, there is very little, if any, information about this.

Suggestions for how and where to document this, and patches to that
effect, are welcome.